# all files / ol/webgl/ shader.js

87.5% Statements 7/8
100% Branches 0/0
33.33% Functions 1/3
87.5% Lines 7/8

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    421×

    1×

    1×

    12×

    1×

    1×

    1×
     goog.provide('ol.webgl.Shader');

    goog.require('ol.functions');

    /**
     * @constructor
     * @abstract
     * @param {string} source Source.
     * @struct
     */
    ol.webgl.Shader = function(source) {

      /**
       * @private
       * @type {string}
       */
      this.source_ = source;

    };

    /**
     * @abstract
     * @return {number} Type.
     */
    ol.webgl.Shader.prototype.getType = function() {};

    /**
     * @return {string} Source.
     */
    ol.webgl.Shader.prototype.getSource = function() {
      return this.source_;
    };

    /**
     * @return {boolean} Is animated?
     */
    ol.webgl.Shader.prototype.isAnimated = ol.functions.FALSE;